## r-bioc-rots 1.16.0

=== DESCRIPTION ===
Package: ROTS
Type: Package
Title: Reproducibility-Optimized Test Statistic
Version: 1.16.0
Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
Description: Calculates the Reproducibility-Optimized Test Statistic
        (ROTS) for differential testing in omics data.
biocViews: Software, GeneExpression, DifferentialExpression,
        Microarray, RNASeq, Proteomics, ImmunoOncology
License: GPL (>= 2)
LazyData: yes
LinkingTo: Rcpp
Imports: Rcpp, stats, Biobase, methods
Suggests: testthat
Depends: R (>= 3.3)
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/ROTS
git_branch: RELEASE_3_11
git_last_commit: 83faf3d
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
Packaged: 2020-04-28 02:10:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.16.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:24:49 +0000

r-bioc-rots (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 11:36:42 +0200

r-bioc-rots (1.14.0-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 16:48:20 +0200

r-bioc-rots (1.14.0-1) unstable; urgency=medium

  * Initial release (closes: #956231)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Apr 2020 19:23:27 +0200

=== debian/control ===
Source: r-bioc-rots
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-biobase
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rots
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rots.git
Homepage: https://bioconductor.org/packages/ROTS/
Rules-Requires-Root: no

Package: r-bioc-rots
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Teproducibility-Optimized Test Statistic
 This BioConductor package calculates the Reproducibility-Optimized
 Test Statistic (ROTS) for differential testing in omics
 data.

## r-bioc-rots 1.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.16.0
+Version: 1.18.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_11
-git_last_commit: 83faf3d
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 02:10:01 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: 1d4e206
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-28 03:02:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Nov 2020 15:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,

## r-bioc-rots 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.18.0
+Version: 1.22.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_12
-git_last_commit: 1d4e206
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-28 03:02:59 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: a53ec77
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 22:37:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:28:04 +0530

r-bioc-rots (1.20.0-2) UNRELEASED; urgency=medium

  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 23:46:53 +0200

r-bioc-rots (1.20.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 15:42:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-bioc-biobase
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rots
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rots.git
 Homepage: https://bioconductor.org/packages/ROTS/

## r-bioc-rots 1.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.22.0
+Version: 1.24.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_14
-git_last_commit: a53ec77
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 22:37:01 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 372e462
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:53:52 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:06:29 +0200

## r-bioc-rots 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.24.0
+Version: 1.26.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_15
-git_last_commit: 372e462
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 21:53:52 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 8bb45fe
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 22:47:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.26.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:25:29 +0100

=== debian/control ===
Source: r-bioc-rots
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rots
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rots.git
Homepage: https://bioconductor.org/packages/ROTS/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-biobase
Testsuite: autopkgtest-pkg-r

Package: r-bioc-rots
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Teproducibility-Optimized Test Statistic
 This BioConductor package calculates the Reproducibility-Optimized
 Test Statistic (ROTS) for differential testing in omics
 data.

## r-bioc-rots 1.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.26.0
+Version: 1.28.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_16
-git_last_commit: 8bb45fe
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 22:47:54 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 032cb97
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 22:32:30 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.28.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:27:16 +0200

## r-bioc-rots 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.28.0
+Version: 1.30.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,8 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_17
-git_last_commit: 032cb97
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 22:32:30 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 8e4f8cf
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 22:48:22 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 09:15:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rots
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rots.git
 Homepage: https://bioconductor.org/packages/ROTS/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-rots 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.30.0
+Version: 1.32.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,8 +16,9 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_18
-git_last_commit: 8e4f8cf
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 22:48:22 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: d74c792
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 05:43:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.32.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:39:22 +0200

r-bioc-rots (1.32.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:54:54 +0200

r-bioc-rots (1.32.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 20:02:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-biobase
+               r-bioc-biobase (>= 2.64.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rots

## r-bioc-rots 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ROTS
 Type: Package
 Title: Reproducibility-Optimized Test Statistic
-Version: 1.32.0
+Version: 1.34.0
 Author: Fatemeh Seyednasrollah, Tomi Suomi, Laura L. Elo
 Maintainer: Tomi Suomi <tomi.suomi@utu.fi>
 Description: Calculates the Reproducibility-Optimized Test Statistic
@@ -16,9 +16,9 @@
 Depends: R (>= 3.3)
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/ROTS
-git_branch: RELEASE_3_19
-git_last_commit: d74c792
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 05:43:54 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 3223131
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 02:33:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-rots (1.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:59:03 +0100

r-bioc-rots (1.34.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 16:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rots
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rots.git
 Homepage: https://bioconductor.org/packages/ROTS/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-biobase (>= 2.64.0),
+               r-bioc-biobase,
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ROTS.html .*/ROTS_(.*).tar.gz
